Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## kieker.analysis.plugin.annotation
Annotation Type Plugin

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    @Inherited
    public @interface Plugin

This type annotation can be used to mark plugins and to describe the corresponding output ports.

Since:
  1.5
Author:
  Nils Christian Ehmke

Optional Element Summary
`Property[]` | `configuration` The list of possible properties for this plugin.
`String` | `dependencies` This field can contain an additional text to give an impression of the needed dependencies.
`String` | `description` The human-readable description of this plugin.
`String` | `name` The name which is used to identify this plugin.
`OutputPort[]` | `outputPorts` The output ports which the current plugin has.
`boolean` | `programmaticOnly` This flag determines whether the annotated plugin should only be used for programmatic purposes or not.
`RepositoryPort[]` | `repositoryPorts` The output ports which the current plugin has.

### programmaticOnly

    public abstract boolean programmaticOnly

  This flag determines whether the annotated plugin should only be used for programmatic purposes or not. This can for example be used by tools to ignore specific plugins.

  Default:
    false

### description

    public abstract String description

  The human-readable description of this plugin.

  Returns:
    The description for this plugin.
  Default:
    ""

### dependencies

    public abstract String dependencies

  This field can contain an additional text to give an impression of the needed dependencies.

  Returns:
    The dependencies for the current plugin as a human-readable description.
  Default:
    ""

### name

    public abstract String name

  The name which is used to identify this plugin.

  Returns:
    The name of this plugin.
  Default:
    ""

### outputPorts

    public abstract OutputPort[] outputPorts

  The output ports which the current plugin has.

  Returns:
    The output ports of this annotation.
  Default:
    {}

### repositoryPorts

    public abstract RepositoryPort[] repositoryPorts

  The output ports which the current plugin has.

  Returns:
    The output ports of this annotation.
  Default:
    {}

### configuration

    public abstract Property[] configuration

  The list of possible properties for this plugin.

  Returns:
    A list of properties.
  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright 2014 Kieker Project, http://kieker-monitoring.net